{
	"name": "bit-web",
	"version": "0.0.1",
	"private": true,
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"test": "npm run test:integration && npm run test:unit",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"lint": "prettier --plugin-search-dir . --check . && eslint .",
		"format": "prettier --plugin-search-dir . --write .",
		"test:unit": "vitest",
		"test:integration": "playwright test"
	},
	"devDependencies": {
		"@editorjs/checklist": "^1.5.0",
		"@editorjs/code": "^2.7.0",
		"@editorjs/delimiter": "^1.2.0",
		"@editorjs/editorjs": "^2.27.2",
		"@editorjs/embed": "^2.5.3",
		"@editorjs/footnotes": "^1.1.0",
		"@editorjs/header": "^2.6.2",
		"@editorjs/image": "^2.6.2",
		"@editorjs/inline-code": "^1.3.1",
		"@editorjs/link": "^2.4.1",
		"@editorjs/list": "^1.7.0",
		"@editorjs/marker": "^1.2.2",
		"@editorjs/nested-list": "^1.0.2",
		"@editorjs/paragraph": "^2.8.0",
		"@editorjs/quote": "^2.4.0",
		"@editorjs/raw": "^2.3.1",
		"@editorjs/simple-image": "^1.4.1",
		"@editorjs/table": "^2.0.4",
		"@editorjs/warning": "^1.2.0",
		"@playwright/test": "^1.28.1",
		"@sveltejs/adapter-auto": "^2.0.0",
		"@sveltejs/adapter-node": "^1.3.1",
		"@sveltejs/kit": "^1.20.4",
		"@typescript-eslint/eslint-plugin": "^5.45.0",
		"@typescript-eslint/parser": "^5.45.0",
		"eslint": "^8.28.0",
		"eslint-config-prettier": "^8.5.0",
		"eslint-plugin-svelte": "^2.30.0",
		"prettier": "^2.8.0",
		"prettier-plugin-svelte": "^2.10.1",
		"svelte": "^4.0.5",
		"svelte-check": "^3.4.3",
		"tslib": "^2.4.1",
		"typescript": "^5.0.0",
		"vite": "^4.4.2",
		"vitest": "^0.32.2"
	},
	"type": "module"
}
